%define libmpeg2 0
%define libmpeg2convert 0

Summary: MPEG2dec - MPEG2 Decoded
Name: 	mpeg2dec
Version: 	0.5.1
Release: 	6.18
Source: 	libmpeg2-%{version}.tar.bz2
Packager: 	Dominique Leuenberger <dominique-rpm@leuenberger.net>
License: 	GPL
Group: System/Libraries	
BuildRoot:  %{_tmppath}/%{name}-%{version}-build

%description
A MPEG2Decoder based on the libmpeg2 libraries

%prep
%setup -q -n libmpeg2-%{version}

%package -n libmpeg2-devel
Summary: Headers and library for libmpeg2 development
Requires:       libmpeg2-%{libmpeg2} = %{version}
Group: Development/Libraries/C and C++

%description -n libmpeg2-devel
Development files to link against libmpeg2

%package -n libmpeg2-%{libmpeg2}
Summary: Shared library: libmpeg2
Group: System/Libraries
Obsoletes: libmpeg2 libmpeg2_0
Provides: libmpeg2 libmpeg2_0

%description -n libmpeg2-%{libmpeg2}
Shared library: libmpeg2. Is typically to be installed by system dependencies.

%package -n libmpeg2convert%{libmpeg2convert}
Summary: Shared library: libmpeg2
Group: System/Libraries

%description -n libmpeg2convert%{libmpeg2convert}
Shared library: libmpeg2. Is typically to be installed by system dependencies.

%build 
./bootstrap
./configure --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir} --enable-shared
make %{?jobs:-j %jobs}


%install
make DESTDIR=%{buildroot} install

%clean
rm -rf "$RPM_BUILD_ROOT"

%post -n libmpeg2-%{libmpeg2} -p /sbin/ldconfig

%postun -n libmpeg2-%{libmpeg2} -p /sbin/ldconfig

%post -n libmpeg2convert%{libmpeg2convert} -p /sbin/ldconfig

%postun -n libmpeg2convert%{libmpeg2convert} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/corrupt_mpeg2
%{_bindir}/extract_mpeg2
%{_bindir}/mpeg2dec
%{_mandir}/man1/extract_mpeg2.1.gz
%{_mandir}/man1/mpeg2dec.1.gz

%files -n libmpeg2-%{libmpeg2}
%defattr(-,root,root)
%{_libdir}/libmpeg2.so.%{libmpeg2}*

%files -n libmpeg2convert%{libmpeg2convert}
%defattr(-,root,root)
%{_libdir}/libmpeg2convert.so.%{libmpeg2convert}*

%files -n libmpeg2-devel
%defattr(-,root,root)
%dir %{_includedir}/mpeg2dec
%{_includedir}/mpeg2dec/mpeg2.h
%{_includedir}/mpeg2dec/mpeg2convert.h
%{_libdir}/libmpeg2.a
%exclude %{_libdir}/libmpeg2.la
%{_libdir}/libmpeg2.so
%{_libdir}/libmpeg2convert.a
%exclude %{_libdir}/libmpeg2convert.la
%{_libdir}/libmpeg2convert.so
%{_libdir}/pkgconfig/libmpeg2.pc
%{_libdir}/pkgconfig/libmpeg2convert.pc


%changelog
* Mon Sep 29 2008 - Dominique Leuenberger <dominique-rpm@leuenberger.net>
- Updated to version 0.5.1
- Applied Shared Lib policy
- Add Provides / Obsoletes libmpeg2_0 to libmpeg2-0, in order to solve
  a possible conflict with the PM Builds (typo in the package name)
* Wed Apr 30 2008 - Dominique Leuenberger <dominique-rpm@leuenberger.net>
- Fixed split of Devel package, moved .so and .a files to -devel
* Tue May 29 2007 - Dominique Leuenberger <dominique-rpm@leuenberger.net>
- Updated to Version 0.4.1 (SVN 1149)
- Small compile fix in libvo
* Sun Jan 21 2007 - Dominique Leuenberger <dominique-rpm@leuenberger.net>
- Updated to Version 0.4.1 (SVN 1146)
- Peter Gubanov found a bug in the 4:4:4 chroma handling, Nicolas Joly 
  found a memory leak in the Xshm code on remote displays and Roberto Huelga 
  found alignment issues in the sample3 and sample5 examples. 
  Gildas Bazin contributed a patch for more tolerance for invalid 
  sequence display extensions.
* Sun Dec 3 2006 - Dominique Leuenberger <dominique-rpm@leuenberger.net>
- Fixed group memberships for Yast tools
- First public released package
* Fri Oct 20 2006 - Dominique Leuenberger <dominique-rpm@leuenberger.net>
- Initial release 
